#pragma once 

#include <Eigen/Core>


namespace SimCore 
{
    class Orientation
    {

        public: 
        Orientation(double heading = 0, double pitch = 0, double roll = 0);

        Orientation(Eigen::Vector3d angles, double lat, double lon);

        void setHeading(double heading);
        double getHeading();

        void setPitch(double pitch);
        double getPitch();

        void setRoll(double roll);
        double getRoll();

        Eigen::Vector3d getEulerAngles(double lat ,double lon);


        private:
            

             Eigen::Vector3d eulerAngels_;

             double heading_;
             double pitch_;
             double roll_;


    };


}